> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5.0 Lite 图像生成

> - Seedream 5.0 Lite (doubao-seedream-5.0-lite) 模型支持文本转图片、图生图、图像编辑等多种生成模式
- 异步处理模式，使用返回的任务ID  [进行查询](/cn/api-manual/task-management/get-task-detail)
- 生成的图像链接，有效期为24小时，请尽快保存



## OpenAPI

````yaml cn/api-manual/image-series/seedream/seedream-5.0-lite-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: doubao-seedream-5.0-lite接口
  description: 使用AI模型创建图像任务，支持多种模型和参数配置
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 生产环境
security:
  - bearerAuth: []
tags:
  - name: 图像生成
    description: AI图像生成相关接口
paths:
  /v1/images/generations:
    post:
      tags:
        - 图像生成
      summary: doubao-seedream-5.0-lite接口
      description: >-
        - Seedream 5.0 Lite (doubao-seedream-5.0-lite) 模型支持文本转图片、图生图、图像编辑等多种生成模式

        - 异步处理模式，使用返回的任务ID 
        [进行查询](/cn/api-manual/task-management/get-task-detail)

        - 生成的图像链接，有效期为24小时，请尽快保存
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              web_search:
                summary: 联网搜索生成图像
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: 生成一张2025年巴黎时装周最新潮流风格的插画
                  size: '3:4'
                  quality: 2K
                  model_params:
                    tools:
                      - type: web_search
              text_to_image:
                summary: 文本生成图像
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: 一片宁静的湖水倒映着夕阳的美景
                  size: '16:9'
                  quality: 2K
      responses:
        '200':
          description: 图像生成任务创建成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: 请求参数错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未认证、Token无效或过期
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 配额不足、需要充值
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 无权限访问
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    doubao-seedream-5.0-lite
                  type: invalid_request_error
        '429':
          description: 请求频率超限
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 服务器内部错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: 图像生成模型名称
          enum:
            - doubao-seedream-5.0-lite
          default: doubao-seedream-5.0-lite
          example: doubao-seedream-5.0-lite
        prompt:
          type: string
          description: 提示词，描述想要生成的图像，或描述如何编辑已输入的图像，限制为2000token
          example: 一片宁静的湖水倒映着夕阳的美景
          maxLength: 2000
        'n':
          type: integer
          description: >-
            规定生成图像的上限，支持`[1,15]`之间任意整数值


            **注意：**

            - 如需生成多图，请在提示词中加入: " `生成2张不同的图片` " 之类的提示词


            - 参考图像数量 + 最终生成图像数量 ≤ 15张


            - 如出现：参考图像数量 + 提示词内需要生成的图像数 > 15张，且提示词内 需要生成的图像数 ≤ 参数n的值，则 最终生成的图像数
            = 15 - 参考图像数量

            - 单次请求会根据`n`的值进行预扣费，实际扣费以生成图像数量为准
          example: 1
        size:
          type: string
          description: >-
            生成图像的尺寸，支持两种格式：


            **方式1 - 比例格式：**

            -
            `auto`、`1:1`、`2:3`、`3:2`、`3:4`、`4:3`、`4:5`、`5:4`、`9:16`、`16:9`、`21:9`、`9:21`

            - 配合 `quality` 参数使用，系统自动生成对应比例和分辨率的图片，无需手动指定像素


            **方式2 - 像素格式：**

            - 宽度x高度，如：`2560x1440`、`2048x2048`、`4096x4096`等在范围内的值

            - 总像素取值范围：`[3686400, 16777216]`

            - 宽高比取值范围：`[1/16, 16]`
          default: auto
          example: '16:9'
        quality:
          type: string
          description: |-
            分辨率档位，与 `size` 的比例格式配合使用。

            | 比例 | 2K | 3K | 4K |
            |---|---|---|---|
            | `1:1` | 2048×2048 | 3072×3072 | 4096×4096 |
            | `2:3` | 1664×2496 | 2496×3744 | 3328×4992 |
            | `3:2` | 2496×1664 | 3744×2496 | 4992×3328 |
            | `3:4` | 1728×2304 | 2592×3456 | 3520×4704 |
            | `4:3` | 2304×1728 | 3456×2592 | 4704×3520 |
            | `4:5` | 1792×2240 | 2688×3360 | 3584×4480 |
            | `5:4` | 2240×1792 | 3360×2688 | 4480×3584 |
            | `9:16` | 1600×2848 | 2304×4096 | 3040×5504 |
            | `16:9` | 2848×1600 | 4096×2304 | 5504×3040 |
            | `21:9` | 3136×1344 | 4704×2016 | 6240×2656 |
            | `9:21` | 1344×3136 | 2016×4704 | 2656×6240 |
          enum:
            - 2K
            - 3K
            - 4K
          default: 2K
          example: 2K
        prompt_priority:
          type: string
          description: |-
            提示词优化策略，用于设置提示词优化功能的模式

            **可选值：**
            - `standard`：标准模式，生成内容质量更高，耗时较长
          enum:
            - standard
          default: standard
          example: standard
        image_urls:
          type: array
          description: >-
            参考图像URL列表，用于图生图与图像编辑功能


            **注意：**

            - 单次请求支持输入图像数量：`14`张

            - 图像大小：不超过 `10MB`

            - 支持的图像格式：`.jpeg`、`.jpg`、`.png`、`.webp`、`.bmp`、`.tiff`、`.gif`

            - 宽高比（宽/高）范围：`[1/16, 16]`

            - 宽高长度（px）> 14

            - 总像素：不超过 `6000×6000`

            -
            图像URL需要服务器能直接查看，或者图像URL在访问时会直接进行下载（一般这种URL是以图像的扩展名作为结尾，例如`.png`、`.jpg`）
          items:
            type: string
            format: uri
          maxItems: 14
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: |-
            **支持的参数：**
            - `output_format`: 输出图片格式
            - `tools`: 联网搜索工具
          properties:
            output_format:
              type: string
              description: |-
                输出图片格式

                **可选值：**
                - `png`: PNG 格式
                - `jpeg`: JPEG 格式
              enum:
                - png
                - jpeg
              example: jpeg
            tools:
              type: array
              description: |-
                联网搜索工具，启用此参数时，模型会根据 prompt 自动决定是否进行搜索，搜索将会产生额外费用

                **格式：**
                - `[{"type": "web_search"}]`
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - web_search
                    description: 工具类型
                required:
                  - type
              example:
                - type: web_search
        callback_url:
          type: string
          description: |-
            任务完成后的HTTPS回调地址

            **回调时机：**
            - 任务完成（completed）、失败（failed）或取消（cancelled）时触发
            - 在计费确认完成后发送

            **安全限制：**
            - 仅支持HTTPS协议
            - 禁止回调到内网IP地址（127.0.0.1、10.x.x.x、172.16-31.x.x、192.168.x.x等）
            - URL长度不超过`2048`字符

            **回调机制：**
            - 超时时间：`10`秒
            - 失败后最多重试`3`次（会分别在失败的`1`秒/`2`秒/`4`秒后进行重试）
            - 回调响应体格式与任务查询接口返回的格式一致
            - 回调地址若返回2xx状态码视为成功，其他状态码会触发重试
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-seedream5lite
        model:
          type: string
          description: 实际使用的模型名称
          example: doubao-seedream-5.0-lite
        object:
          type: string
          enum:
            - image.generation.task
          description: 任务的具体类型
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: 异步任务信息
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 任务的输出类型
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: 使用量和计费信息
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 错误代码标识符
            message:
              type: string
              description: 错误描述信息
            type:
              type: string
              description: 错误类型
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 任务是否可以取消
          example: true
        estimated_time:
          type: integer
          description: 预估完成时间（秒）
          minimum: 0
          example: 45
    Usage:
      type: object
      description: 使用量和计费信息
      properties:
        billing_rule:
          type: string
          description: 计费规则
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 预估消耗积分数
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: 用户组类别
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##所有接口均需要使用Bearer Token进行认证##

        **获取 API Key ：**

        访问 [API Key 管理页面](https://evolink.ai/dashboard/keys) 获取您的 API Key

        **使用时在请求头中添加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````